Subject: When to compute RTT?

From: [email-masked]
Date: Mon, 9 Jun 2003 02:11:04 -0700 (PDT)

Folks,
"RTT measurement should be made each round trip." That is quite clear. My
question is how to implement it. We have timer T3 on the transmission side
used for RTT measurement. According to RFC 6.2.1, when sack corresponding
to the chunk with the earliest outstanding TSN comes, if there is another
chunk outstanding, T3 should be restarted. OK, with this SACK, the
endpoint can figure out the right RTT. The next SACK corresponding to the
other outstanding chunk should not be involved into RTT calculation
according to the quotation above. But how can the sending endpoint know
this? The resource in its hand is only T3 timer. It does not know the
second chunk was sent within the round trip time of the first chunk.
Thx for answer.

Zhou Yu
ECE UBC